## Value

# Type Alias Value

Source

    pub type Value<'tcx> = ObjectLifetimeDefault;

## Aliased Type§

    pub enum Value<'tcx> {
        Empty,
        Static,
        Ambiguous,
        Param(DefId),
    }

## Variants§

§

### Empty

§

### Static

§

### Ambiguous

§

### Param(DefId)

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference's “Type Layout” chapter for details on type layout guarantees.

Size: 8 bytes

Size for each variant:

- `Empty`: 0 bytes
- `Static`: 0 bytes
- `Ambiguous`: 0 bytes
- `Param`: 8 bytes